> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Events Calendar

> A financial data API that, given a list of company identifiers, returns details of
key corporate events—such as earnings calls, and conference calls—allowing investors
and analysts to track upcoming and historical company announcements in real time.



## OpenAPI

````yaml /api-rest/openapi/openapi_structured_data.json post /v1/events-calendar/query
openapi: 3.1.0
info:
  title: Bigdata Structured Data API
  description: Bigdata API documentation
  version: 1.0.0
servers:
  - url: https://api.bigdata.com/
security:
  - ApiKeyAuth: []
tags:
  - name: Market Data
    description: >-
      Market data endpoints including intraday prices, daily prices, price
      changes, and real-time quotes
  - name: Analyst Estimates
    description: >-
      Analyst estimates and ratings including analyst ratings, estimates, target
      prices, and earnings surprises
  - name: Financials & Ratios
    description: >-
      Financial statements and ratios including balance sheet, income statement,
      cash flow statement, key metrics TTM, and company ratios TTM
  - name: Company & Events
    description: >-
      Company information and events including company profile and events
      calendar
  - name: Fund Holdings
    description: >-
      Institutional fund holdings from SEC 13F filings including fund holdings
      and stock fund holdings
  - name: Knowledge Graph
    description: Corporate ownership and hierarchy data.
paths:
  /v1/events-calendar/query:
    post:
      tags:
        - Company & Events
      summary: Events Calendar
      description: >-
        A financial data API that, given a list of company identifiers, returns
        details of

        key corporate events—such as earnings calls, and conference
        calls—allowing investors

        and analysts to track upcoming and historical company announcements in
        real time.
      operationId: query_events_calendar_v1_events_calendar_query_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EventsCalendarQuery'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventsCalendarResponse'
components:
  schemas:
    EventsCalendarQuery:
      properties:
        rp_entity_id:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Rp Entity Id
          description: >-
            A list of RavenPack internal entity identifiers. Bigdata uses the
            RavenPack Entity identifier (RP_Entity_ID) to uniquely reference
            entities such as companies. This identifier is a 6-character
            alphanumeric code (letters and numbers only). Example: Alphabet Inc.
            (4A6F00)
          examples:
            - 4A6F00
            - D8442A
        start_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Start Date
          description: >-
            The start date of the time range for retrieving events. Only events
            occurring on or after this date will be included. The expected date
            format is 'YYYY-MM-DD'.
          examples:
            - '2025-09-02'
        end_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: End Date
          description: >-
            The end date of the time range for retrieving events. Only events
            occurring on or before this date will be included. The expected date
            format is 'YYYY-MM-DD'.
          examples:
            - '2025-09-03'
        countries:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Countries
          description: >-
            A list of country codes (ISO 3166-1 alpha-2) to filter events by
            country. If omitted, events from all countries will be returned.
          examples:
            - US
            - GB
        exchanges:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Exchanges
          description: >-
            The `exchange` field must contain a valid Market Identifier Code
            (MIC) corresponding to the exchange where the instrument is listed.
          examples:
            - XNAS
            - NYSE
            - XSCA
        categories:
          anyOf:
            - items:
                $ref: '#/components/schemas/AllowedCategories'
              type: array
            - type: 'null'
          title: Categories
          description: >-
            A list of event categories to filter by. If omitted, all event types
            will be returned. Events covered: 'earnings-call',
            'conference-call'.
          examples:
            - earnings-call
            - conference-call
        cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Cursor
          description: >-
            The cursor for pagination. Use the 'cursor' value from the previous
            response's pagination to get the next set of results.
          examples:
            - '375207'
        limit:
          anyOf:
            - type: integer
              maximum: 1000
              minimum: 1
            - type: 'null'
          title: Limit
          description: >-
            The number of results to return per page. Must be between 1 and
            1000, both inclusive.
          examples:
            - 100
      type: object
      title: EventsCalendarQuery
      example:
        categories:
          - earnings-call
          - conference-call
        end_date: '2024-02-15'
        limit: 100
        rp_entity_id:
          - 4A6F00
          - D8442A
        start_date: '2024-01-01'
    EventsCalendarResponse:
      properties:
        results:
          additionalProperties:
            items:
              $ref: '#/components/schemas/EventCalendar'
            type: array
          type: object
          title: Results
          description: >-
            A dictionary mapping RP entity IDs to lists of event calendar
            entries for each company.
        errors:
          anyOf:
            - items:
                $ref: '#/components/schemas/ErrorDetail'
              type: array
            - type: 'null'
          title: Errors
        metadata:
          anyOf:
            - $ref: '#/components/schemas/Metadata'
            - type: 'null'
        pagination:
          anyOf:
            - c67af2d5-ebaf-4774-bcb8-c9a2befc9b05
            - type: 'null'
      type: object
      required:
        - results
      title: EventsCalendarResponse
      example:
        results:
          4A6F00:
            - category: earnings-call
              created_at: '2023-11-15T08:14:26.000Z'
              event_datetime: '2024-01-25T21:00:00.000Z'
              fiscal_period: Q4
              fiscal_year: 2023
              rp_collection_id: RP_COLLECTION_123456789
              title: Alphabet Inc. Q4 2023 Earnings Call
              updated_at: '2024-01-20T14:30:15.000Z'
            - category: conference-call
              created_at: '2024-01-05T12:00:00.000Z'
              event_datetime: '2024-02-15T16:00:00.000Z'
              fiscal_year: 2024
              rp_collection_id: RP_COLLECTION_987654321
              title: Alphabet Inc. Investor Day 2024
              updated_at: '2024-02-10T09:15:30.000Z'
          D8442A:
            - category: earnings-call
              created_at: '2023-12-20T10:30:45.000Z'
              event_datetime: '2024-01-31T17:00:00.000Z'
              fiscal_period: Q1
              fiscal_year: 2024
              rp_collection_id: RP_COLLECTION_456789123
              title: Apple Inc. Q1 2024 Earnings Call
              updated_at: '2024-01-25T11:45:20.000Z'
        pagination:
          cursor: '375207'
          has_cursor: true
    AllowedCategories:
      type: string
      enum:
        - earnings-call
        - conference-call
      title: AllowedCategories
    EventCalendar:
      properties:
        category:
          type: string
          title: Category
          description: >-
            The category of the event, such as 'earnings-call' or
            'conference-call'.
          examples:
            - earnings-call
        event_datetime:
          type: string
          title: Event Datetime
          description: >-
            The date and time of the event in ISO 8601 format (e.g.,
            '2023-12-05T20:00:00.000Z').
          examples:
            - '2024-01-25T21:00:00.000Z'
        title:
          type: string
          title: Title
          description: >-
            The title of the event, which provides a brief description of the
            event's content.
          examples:
            - Alphabet Inc. Q4 2023 Earnings Call
        fiscal_year:
          anyOf:
            - type: integer
            - type: 'null'
          title: Fiscal Year
          description: The fiscal year of the event.
          examples:
            - 2023
        fiscal_period:
          anyOf:
            - type: string
            - type: 'null'
          title: Fiscal Period
          description: The fiscal period of the event, such as 'Q1', 'Q2', etc.
          examples:
            - Q4
        rp_collection_id:
          type: string
          title: Rp Collection Id
          description: The RP collection id. All RP documents can be fetched using this id.
          examples:
            - RP_COLLECTION_123456789
        updated_at:
          type: string
          title: Updated At
          description: >-
            The date and time when the event data was last updated, in ISO 8601
            format (e.g., '2024-02-27T09:35:45.000Z').
          examples:
            - '2024-01-20T14:30:15.000Z'
        created_at:
          type: string
          title: Created At
          description: >-
            The date and time when the event data was created, in ISO 8601
            format (e.g., '2023-11-15T08:14:26.000Z').
          examples:
            - '2023-11-15T08:14:26.000Z'
      type: object
      required:
        - category
        - event_datetime
        - title
        - rp_collection_id
        - updated_at
        - created_at
      title: EventCalendar
    ErrorDetail:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      title: ErrorDetail
    Metadata:
      properties:
        request_id:
          type: string
          title: Request Id
        timestamp:
          type: string
          title: Timestamp
      type: object
      required:
        - request_id
      title: Metadata
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````